petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESSetLagPreconditionerPersists

Set whether or not the preconditioner lagging persists through multiple solves

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetLagPreconditionerPersists(SNES snes,PetscBool flg)

Logically Collective on SNES Many br

### Input Parameter

| snes | - the SNES context Many br
| flg | - preconditioner lagging persists if true Many br

### Options Database Keys

-snes_lag_jacobian_persists <flg> - Many brNotes: This is useful both for nonlinear preconditioning, where it's appropriate to have the preconditioner be stale Many brby several solves, and for implicit time-stepping, where preconditioner lagging in the inner nonlinear solve over Many brseveral timesteps may present huge efficiency gains. Many br

Many br

### Keywords

SNES, nonlinear, lag

### See Also

SNESSetLagJacobianPersists(), SNESSetLagJacobian(), SNESGetLagJacobian(), SNESGetNPC()

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages